Bug 242715

Summary: multimedia/libvdpau: update to 1.3
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: Jan Beich <jbeich>
Status: Closed FIXED    
Severity: Affects Only Me CC: multimedia
Priority: --- Keywords: patch, patch-ready
Version: LatestFlags: madpilot: maintainer-feedback+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
v1 none

Description Jan Beich freebsd_committer 2019-12-19 00:35:17 UTC
Created attachment 210048 [details]
v1

FFmpeg 4.3 added VP9 decode (for Maxwell+) via VDPAU but it requires libvdpau 1.3. As such let's update and cherry-pick https://git.ffmpeg.org/gitweb/ffmpeg.git/commitdiff/1054752c563c

Disclaimer: I don't use VDPAU. Only build was tested. ABI appears to be compatible.
Comment 1 Guido Falsi freebsd_committer 2019-12-19 08:55:02 UTC
Hi,

Thankss foir the patch, I'll test it and commit the vdpau part.
Comment 2 commit-hook freebsd_committer 2019-12-20 14:54:56 UTC
A commit references this bug:

Author: madpilot
Date: Fri Dec 20 14:54:09 UTC 2019
New revision: 520512
URL: https://svnweb.freebsd.org/changeset/ports/520512

Log:
  - Update libvdpau and vdpauinfo to 1.3
  - Move to new master site

  PR:		242715
  Submitted by:	jbeich

Changes:
  head/multimedia/libvdpau/Makefile
  head/multimedia/libvdpau/distinfo
  head/multimedia/vdpauinfo/Makefile
  head/multimedia/vdpauinfo/distinfo
Comment 3 Guido Falsi freebsd_committer 2019-12-20 14:56:35 UTC
vdpau updates committer.


Thanks, I'm reassigning this to submitter for the rest.
Comment 4 commit-hook freebsd_committer 2019-12-20 16:38:05 UTC
A commit references this bug:

Author: jbeich
Date: Fri Dec 20 16:37:49 UTC 2019
New revision: 520518
URL: https://svnweb.freebsd.org/changeset/ports/520518

Log:
  multimedia/ffmpeg: backport VP9 decode to VDPAU

  VP9 is supported since Maxwell 2nd generation e.g., GeForce GTX 960.

  PR:		242715

Changes:
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg/files/patch-vdpau_vp9